

update rep_reporte_categoria set reporte_categoria='ALQ' where id_reporte=22


---------------

DECLARE @RC int
DECLARE @p_uid varchar(500)
DECLARE @p_eid varchar(50)
DECLARE @p_id_usuario_modifico int
DECLARE @p_id_usuario_creo int

DECLARE @p_campoReporte varchar(300)
DECLARE @p_campoReporte_codigo varchar(100)
DECLARE @p_id_tipoCampoReporte int
DECLARE @p_tabla varchar(50)
DECLARE @p_valorDefecto varchar(100)
DECLARE @p_esParametro bit
DECLARE @p_esSerie bit
DECLARE @p_parametroTotal bit
DECLARE @p_id_reporte int

-- TODO: Set parameter values here.
SET @p_uid = (select [uid] from seg_usuario where id=1)
SET @p_eid ='01'
SET @p_id_usuario_modifico=0
SET @p_id_usuario_creo=0
-- TODO: Set parameter values here.
SET @p_id_reporte = (select id from rep_reporte where reporte_codigo like 'alq/listadoGeneralDeEquipos')
SET @p_campoReporte = 'documento'
SET @p_campoReporte_codigo = 'id_subtipoDocumento in (select id from doc_subtipoDocumento where id_tipoDocumento=9)'
SET @p_id_tipoCampoReporte = 4
SET @p_tabla = 'doc_documento'
SET @p_valorDefecto = ''
SET @p_esParametro = 1
SET @p_esSerie = 0
SET @p_parametroTotal = 1


EXECUTE @RC = [dbo].[ins_rep_campoReporte] 
   @p_uid,@p_eid,@p_id_usuario_modifico,@p_id_usuario_creo
  ,@p_campoReporte  ,@p_campoReporte_codigo,@p_id_reporte,@p_id_tipoCampoReporte,@p_tabla
  ,@p_valorDefecto,@p_esParametro,@p_esSerie,@p_parametroTotal


----------------

  
DECLARE @p_opcionReporte varchar(300)
DECLARE @p_opcionReporte_codigo varchar(100)
DECLARE @p_defecto bit

-- TODO: Set parameter values here.
SET @p_opcionReporte ='Horometro'
SET @p_opcionReporte_codigo='HM'
SET @p_defecto=1


EXECUTE @RC = [dbo].[ins_rep_opcionReporte] 
   @p_uid,@p_eid,@p_id_usuario_modifico,@p_id_usuario_creo
  ,@p_opcionReporte,@p_opcionReporte_codigo,@p_id_reporte,@p_defecto





update rep_campoReporte set campoReporte_codigo ='id_tipoDocumento=4 and prefijo like ''PRE%''' where campoReporte='subtipoDocumento' and id_reporte=(select id from rep_reporte where reporte_codigo='ind_nivelLiquidacionEstadoValor')



GO


ALTER PROCEDURE rep_listadoGeneralDeRepuestosAlq
@p_id as INT =0,
	@p_tercero as INT = 0,
	@p_esEmpresaPropia as INT = 0,
	@p_zona as INT = 0,
	@p_sucursal as INT = 0,
	@p_catalogo_equipo as INT = 0,
	@p_marca as INT = 0,
	@p_familia as INT = 0,
	@p_contrato as INT = 0,
	@p_subtipoCatalogo as INT = 0,
	@p_vencimientoGarantiaDistribuidor_ff as smalldatetime = null,
	@p_vencimientoGarantiaDistribuidor_ff_b as smalldatetime = null,
	@p_fechaPuestaMarcha_fh as smalldatetime = null,
	@p_fechaPuestaMarcha_fh_b as smalldatetime = null,
	@p_activo as int = -1,
	@p_eid varchar(100),
	@p_documento int = 0

AS
BEGIN

SELECT cat.codigoInventario, cat.catalogo as descripcion, 
(SELECT sum(existencia) FROM cat_catalogo_bodega as c_b WHERE c_b.active=1 AND c_b.id_catalogo=cat.id) as enBodega,
(SELECT sum(cantidadAlquilada) FROM equ_detalleAlquiler as da WHERE da.active=1 AND da.id_catalogo=cat.id) as alquilado
FROM
	cat_catalogo as cat inner join
	[cat_catalogo.repuesto] as rep on rep.id=cat.id 
	inner join	equ_detalleAlquiler on (equ_detalleAlquiler.id_catalogo=cat.id AND equ_detalleAlquiler.active=1)
	inner join doc_documento as doc on doc.id=equ_detalleAlquiler.[id_documento.alquiler]
	inner join ter_tercero as ter on ter.id=doc.id_tercero_cliente
	--que solo salgan los que han estado alquilados

WHERE
	cat.active=1 AND cat.eid like @p_eid + '%'
	AND (@p_tercero=0 or ter.id = @p_tercero)

GROUP BY cat.codigoInventario, cat.catalogo, cat.id

ORDER BY cat.id

END

GO

-----------------------


ALTER PROCEDURE [dbo].[rep_cobrosRealizadosAlquiler]
	@p_tercero as INT = 0,
	@p_fecha_fh as smalldatetime = null,
	@p_fecha_fh_b as smalldatetime = null,
	@p_documento as int = 0,
	@p_eid varchar(100)

AS BEGIN

SELECT ter.tercero,cat.codigoInventario,cat.catalogo,
 sum(item.cantidadPlaneado) as cantidad, sum(item.totalPlaneado) as total

FROM 
	doc_documento inner join
	[doc_documento.cotizacion] as cot_ on cot_.id=doc_documento.id
	inner join doc_itemDocumento as item on (item.id_documento=cot_.id and item.id_catalogo>0)
	inner join [doc_documento.alquiler] as alq on alq.id=doc_documento.id_documento
	inner join cat_catalogo as cat on cat.id=item.id_catalogo
	inner join ter_tercero as ter on ter.id=doc_documento.id_tercero_cliente

WHERE
	(@p_tercero=0 or ter.id = @p_tercero)
			and (@p_fecha_fh is null or doc_documento.fecha_fh >= @p_fecha_fh)
			and (@p_fecha_fh_b is null or doc_documento.fecha_fh <= @p_fecha_fh_b)
			and doc_documento.eid like @p_eid + '%'
			and doc_documento.active=1
			and (@p_documento=0 or doc_documento.id_documento = @p_documento)

GROUP BY ter.tercero,cat.codigoInventario,cat.catalogo
END


GO

--------------


ALTER PROCEDURE [dbo].[rep_cobrosDetalleRealizadosAlquiler]
	@p_tercero as INT = 0,
	@p_fecha_fh as smalldatetime = null,
	@p_fecha_fh_b as smalldatetime = null,
	@p_documento as int = 0,
	@p_eid varchar(100)

AS BEGIN

SELECT ter.tercero,doc_documento.prefijo + '-' + cast(doc_documento.documento_numero as varchar(100)) as documento,
doc_documento.fecha_fh, 
item.itemDocumento, item.cantidadPlaneado, item.totalPlaneado, item.id

FROM 
	doc_documento inner join
	[doc_documento.cotizacion] as cot_ on cot_.id=doc_documento.id
	inner join doc_itemDocumento as item on (item.id_documento=cot_.id and item.id_catalogo>0)
	inner join [doc_documento.alquiler] as alq on alq.id=doc_documento.id_documento
	inner join cat_catalogo as cat on cat.id=item.id_catalogo
	inner join ter_tercero as ter on ter.id=doc_documento.id_tercero_cliente

WHERE
	(@p_tercero=0 or ter.id = @p_tercero)
	and (@p_fecha_fh is null or doc_documento.fecha_fh >= @p_fecha_fh)
	and (@p_fecha_fh_b is null or doc_documento.fecha_fh <= @p_fecha_fh_b)
	and doc_documento.eid like @p_eid + '%'
	and doc_documento.active=1
	and item.active=1
	and (@p_documento=0 or doc_documento.id_documento = @p_documento)

END


GO

-----------------

DECLARE @RC int
DECLARE @p_uid varchar(500)
DECLARE @p_eid varchar(50)
DECLARE @p_id_usuario_modifico int
DECLARE @p_id_usuario_creo int

SET @p_uid = (select [uid] from seg_usuario where id=1)
SET @p_eid ='01'
SET @p_id_usuario_modifico=0
SET @p_id_usuario_creo=0


--Crear la funcionalidad
DECLARE @p_funcionalidad varchar(300)
DECLARE @p_funcionalidad_codigo varchar(100)
DECLARE @p_urlImagen varchar(300)
DECLARE @p_urlFormulario varchar(300)
DECLARE @p_targetUrl varchar(100)
DECLARE @p_url varchar(8000)
DECLARE @p_toolTip varchar(8000)
DECLARE @p_esMenu bit
DECLARE @p_nombreControl varchar(100)
DECLARE @p_nombreComando varchar(100)
DECLARE @p_orden int
DECLARE @p_id_funcionalidad int
DECLARE @p_id_tipoFuncionalidad int

SET @p_urlImagen =''
SET @p_urlFormulario =''
SET @p_targetUrl =''
SET @p_url =null
SET @p_toolTip =null
SET @p_esMenu = 0
SET @p_nombreControl =null
SET @p_nombreComando =null
SET @p_orden =0
SET @p_id_tipoFuncionalidad =7


SET @p_id_funcionalidad= (select top 1 id from gui_funcionalidad where funcionalidad_codigo='CAT_46')

if not exists(select id from gui_funcionalidad where funcionalidad like 'Prefacturacion de Cliente Detallado de Alquileres' and active=1 and id_funcionalidad = @p_id_funcionalidad)
begin

SET @p_funcionalidad ='Prefacturacion de Cliente Detallado de Alquileres'
SET @p_funcionalidad_codigo ='RPC_'

EXECUTE @RC = [dbo].[ins_gui_funcionalidad] 
    @p_uid,@p_eid,@p_id_usuario_modifico,@p_id_usuario_creo,@p_funcionalidad,@p_funcionalidad_codigo,@p_urlImagen
   ,@p_urlFormulario,@p_targetUrl,@p_url,@p_toolTip  ,@p_esMenu,@p_nombreControl,@p_nombreComando,@p_orden,
	@p_id_funcionalidad,@p_id_tipoFuncionalidad

end



-----crear reporte


DECLARE @p_reporte varchar(300)
DECLARE @p_reporte_codigo varchar(100)
--DECLARE @p_id_funcionalidad int
DECLARE @p_esFormato bit
DECLARE @p_tieneGraficos bit
DECLARE @p_cabecera varchar(1)
--DECLARE @p_orden int
DECLARE @p_basica int



-- TODO: Set parameter values here.

SET @p_reporte='Prefacturacion de Cliente Detallado de Alquileres'
SET @p_reporte_codigo='alq/PrefacturacionClienteDetalladoAlquilado'
SET @p_orden=0
SET @p_esFormato=0
SET @p_tieneGraficos=0
SET @p_basica=1
SET @p_id_funcionalidad=(select id from gui_funcionalidad where funcionalidad='Prefacturacion de Cliente Detallado de Alquileres' and active=1)
SET @p_cabecera='Prefacturacion de Cliente Detallado de Alquileres'


EXECUTE @RC = [dbo].[ins_rep_reporte] 
   @p_uid,@p_eid,@p_id_usuario_modifico,@p_id_usuario_creo,@p_reporte,@p_reporte_codigo
  ,@p_id_funcionalidad,@p_esFormato,@p_tieneGraficos,@p_cabecera,@p_orden,@p_basica



------------------------Campo Reporte

DECLARE @p_campoReporte varchar(300)
DECLARE @p_campoReporte_codigo varchar(100)
DECLARE @p_id_reporte int
DECLARE @p_id_tipoCampoReporte int
DECLARE @p_tabla varchar(50)
DECLARE @p_valorDefecto varchar(100)
DECLARE @p_esParametro bit
DECLARE @p_esSerie bit
DECLARE @p_parametroTotal bit

-- TODO: Set parameter values here.
SET @p_id_reporte=(select top 1 id from rep_reporte where reporte_codigo='alq/PrefacturacionClienteDetalladoAlquilado')

SET @p_campoReporte='tercero'
SET @p_campoReporte_codigo='1=1'
SET @p_id_tipoCampoReporte=4
SET @p_tabla='ter_tercero'
SET @p_esParametro=1
SET @p_esSerie=0
SET @p_valorDefecto=0
SET @p_parametroTotal=0


EXECUTE @RC = [dbo].[ins_rep_campoReporte] 
   @p_uid,@p_eid,@p_id_usuario_modifico,@p_id_usuario_creo,@p_campoReporte
  ,@p_campoReporte_codigo,@p_id_reporte,@p_id_tipoCampoReporte,@p_tabla,@p_valorDefecto,@p_esParametro,@p_esSerie,@p_parametroTotal


SET @p_campoReporte='sucursal'
SET @p_campoReporte_codigo='id_tercero='
SET @p_id_tipoCampoReporte=4
SET @p_tabla='ter_sucursal'


EXECUTE @RC = [dbo].[ins_rep_campoReporte] 
   @p_uid,@p_eid,@p_id_usuario_modifico,@p_id_usuario_creo,@p_campoReporte
  ,@p_campoReporte_codigo,@p_id_reporte,@p_id_tipoCampoReporte,@p_tabla,@p_valorDefecto,@p_esParametro,@p_esSerie,@p_parametroTotal


SET @p_campoReporte='fecha_fh'
SET @p_campoReporte_codigo=''
SET @p_id_tipoCampoReporte=3
SET @p_tabla='doc_documento'


EXECUTE @RC = [dbo].[ins_rep_campoReporte] 
   @p_uid,@p_eid,@p_id_usuario_modifico,@p_id_usuario_creo,@p_campoReporte
  ,@p_campoReporte_codigo,@p_id_reporte,@p_id_tipoCampoReporte,@p_tabla,@p_valorDefecto,@p_esParametro,@p_esSerie,@p_parametroTotal



SET @p_campoReporte='subtipoDocumento'
SET @p_campoReporte_codigo='id_tipoDocumento=9'
SET @p_id_tipoCampoReporte=4
SET @p_tabla='doc_subtipoDocumento'


EXECUTE @RC = [dbo].[ins_rep_campoReporte] 
   @p_uid,@p_eid,@p_id_usuario_modifico,@p_id_usuario_creo,@p_campoReporte
  ,@p_campoReporte_codigo,@p_id_reporte,@p_id_tipoCampoReporte,@p_tabla,@p_valorDefecto,@p_esParametro,@p_esSerie,@p_parametroTotal



SET @p_campoReporte = 'documento'
SET @p_campoReporte_codigo = 'id_subtipoDocumento in (select id from doc_subtipoDocumento where id_tipoDocumento=9)'
SET @p_id_tipoCampoReporte = 4
SET @p_tabla = 'doc_documento'
SET @p_valorDefecto = 0
SET @p_esParametro = 1
SET @p_esSerie = 0
SET @p_parametroTotal = 1


EXECUTE @RC = [dbo].[ins_rep_campoReporte] 
   @p_uid,@p_eid,@p_id_usuario_modifico,@p_id_usuario_creo
  ,@p_campoReporte  ,@p_campoReporte_codigo,@p_id_reporte,@p_id_tipoCampoReporte,@p_tabla
  ,@p_valorDefecto,@p_esParametro,@p_esSerie,@p_parametroTotal



  
  --------------------------------
  
  SET @p_reporte='Prefacturacion de Cliente Detallado de Alquileres'
SET @p_reporte_codigo='alq/PrefactuacionClienteXPeriodo'
SET @p_orden=0
SET @p_esFormato=0
SET @p_tieneGraficos=0
SET @p_basica=1
SET @p_id_funcionalidad=(select id from gui_funcionalidad where funcionalidad='Prefacturacion de Cliente Detallado de Alquileres' and active=1)
SET @p_cabecera='Prefacturacion de Cliente Detallado de Alquileres'


EXECUTE @RC = [dbo].[ins_rep_reporte] 
   @p_uid,@p_eid,@p_id_usuario_modifico,@p_id_usuario_creo,@p_reporte,@p_reporte_codigo
  ,@p_id_funcionalidad,@p_esFormato,@p_tieneGraficos,@p_cabecera,@p_orden,@p_basica
  
  
  
  SET @p_id_reporte = (select id from rep_reporte where reporte_codigo like 'alq/PrefactuacionClienteXPeriodo')
SET @p_campoReporte = 'documento'
SET @p_campoReporte_codigo = 'id_subtipoDocumento in (select id from doc_subtipoDocumento where id_tipoDocumento=9)'
SET @p_id_tipoCampoReporte = 4
SET @p_tabla = 'doc_documento'
SET @p_valorDefecto = ''
SET @p_esParametro = 1
SET @p_esSerie = 0
SET @p_parametroTotal = 1
--aquivoy EROROROROORORORRO

EXECUTE @RC = [dbo].[ins_rep_campoReporte] 
   @p_uid,@p_eid,@p_id_usuario_modifico,@p_id_usuario_creo
  ,@p_campoReporte  ,@p_campoReporte_codigo,@p_id_reporte,@p_id_tipoCampoReporte,@p_tabla
  ,@p_valorDefecto,@p_esParametro,@p_esSerie,@p_parametroTotal


------------------------------------ERROR

SET @p_reporte='Prefacturacion de Cliente Detallado de Alquileres'
SET @p_reporte_codigo='alq/PrefactuacionDetalleClienteXPeriodo'
SET @p_orden=0
SET @p_esFormato=0
SET @p_tieneGraficos=0
SET @p_basica=1
SET @p_id_funcionalidad=(select id from gui_funcionalidad where funcionalidad='Prefacturacion de Cliente Detallado de Alquileres' and active=1)
SET @p_cabecera='Prefacturacion de Cliente Detallado de Alquileres'


EXECUTE @RC = [dbo].[ins_rep_reporte] 
   @p_uid,@p_eid,@p_id_usuario_modifico,@p_id_usuario_creo,@p_reporte,@p_reporte_codigo
  ,@p_id_funcionalidad,@p_esFormato,@p_tieneGraficos,@p_cabecera,@p_orden,@p_basica

  SET @p_id_reporte = (select top 1 id from rep_reporte where reporte_codigo like 'alq/PrefactuacionDetalleClienteXPeriodo')
SET @p_campoReporte = 'documento'
SET @p_campoReporte_codigo = 'id_subtipoDocumento in (select id from doc_subtipoDocumento where id_tipoDocumento=9)'
SET @p_id_tipoCampoReporte = 4
SET @p_tabla = 'doc_documento'
SET @p_valorDefecto = ''
SET @p_esParametro = 1
SET @p_esSerie = 0
SET @p_parametroTotal = 1


EXECUTE @RC = [dbo].[ins_rep_campoReporte] 
   @p_uid,@p_eid,@p_id_usuario_modifico,@p_id_usuario_creo
  ,@p_campoReporte  ,@p_campoReporte_codigo,@p_id_reporte,@p_id_tipoCampoReporte,@p_tabla
  ,@p_valorDefecto,@p_esParametro,@p_esSerie,@p_parametroTotal

-------------------------------

---------------

DECLARE @p_origenDato varchar(300)
DECLARE @p_origenDato_codigo varchar(100)
DECLARE @p_duracion int

-- TODO: Set parameter values here.
SET @p_origenDato='rep_prefacturacionClienteDetallado_alquiler'
SET @p_origenDato_codigo=''
SET @p_duracion = 0

EXECUTE @RC = [dbo].[ins_rep_origenDato] 
   @p_uid,@p_eid,@p_id_usuario_modifico,@p_id_usuario_creo
  ,@p_origenDato,@p_origenDato_codigo,@p_id_reporte,@p_duracion


SET @p_origenDato='rep_prefacturacionClienteDoc_itemdocumentoDetallado_alquiler'

EXECUTE @RC = [dbo].[ins_rep_origenDato] 
   @p_uid,@p_eid,@p_id_usuario_modifico,@p_id_usuario_creo
  ,@p_origenDato,@p_origenDato_codigo,@p_id_reporte,@p_duracion


----------insertar reporte_categoria

DECLARE @p_reporte_categoria varchar(300)
DECLARE @p_id_categoria int


-- TODO: Set parameter values here.
SET @p_reporte_categoria = 'ALQ'
SET @p_id_reporte = (select top 1 id from rep_reporte where reporte_codigo like 'alq/PrefacturacionClienteDetalladoAlquilado' and active=1)
SET @p_id_categoria = (select id from rep_categoria where active=1 and id_categoria=15 and categoria='Alquiler')

if not exists(select * from rep_reporte_categoria where active=1 and id_reporte=@p_id_reporte and id_categoria=@p_id_categoria)
begin
EXECUTE @RC = [dbo].[ins_rep_reporte_categoria] 
   @p_uid,@p_eid,@p_id_usuario_modifico,@p_id_usuario_creo
  ,@p_reporte_categoria,@p_id_categoria,@p_id_reporte
end




----------------

/****** Object:  StoredProcedure [dbo].[rep_prefacturacionClienteDetallado_alquiler]    Script Date: 15/04/2016 14:18:03 ******/
IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[rep_prefacturacionClienteDetallado_alquiler]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[rep_prefacturacionClienteDetallado_alquiler]

GO
CREATE PROCEDURE [rep_prefacturacionClienteDetallado_alquiler] 
		@p_tercero as INT = 0,
		@p_sucursal as INT = 0,
		@p_fecha_fh as smalldatetime = null,
		@p_fecha_fh_b as smalldatetime = null,
		@p_subtipodocumento as INT = 0,
		@p_documento as INT = 0,
		@p_eid varchar(100),
		@p_id int=0
AS
BEGIN
	
	IF exists(select id from [doc_documento.alquiler] where id=@p_id) begin
		SET @p_documento=@p_id
		SET @p_id=0
	end


SELECT     
  doc_documento.id as idDocumento,
	(doc_documento.prefijo + ' ' + convert (varchar, doc_documento.documento_numero)) as alquiler,
	doc_documento.fecha_fh,
	(pre.prefijo + ' ' + convert(varchar, pre.documento_numero)) as prefactura,
	ter_tercero.tercero AS cliente,
	ter_tercero.id,
	ter_tercero.tercero_nit,
	ter_tercero.direccion,
	ter_tercero.contacto,
	ter_tercero.telefono,
	gen_zona.zona,
	ter_sucursal.sucursal as obra,
	ter_sucursal.sucursal_codigo as obracodigo,
	ter_sucursal.Direccion as obrasucursal,
	seg_usuario.usuario as asesor,
	[doc_documento.cotizacion].id_usuario_asesor,
	doc_itemDocumento.id as id_item,
	doc_itemDocumento.itemDocumento,
	doc_itemDocumento.cantidadPlaneado,
	doc_itemDocumento.valorUnitarioPlaneado  as valorUnitarioEjecutado,
	doc_itemdocumento.subtotalPlaneado,
	doc_itemDocumento.totalEjecutado,
	doc_itemDocumento.porciva,
	cat_catalogo.catalogo_codigo,
	(case when (select count (*)from alq_tarifa where id=alq_detalleLiquidacion.id_tarifa and id_tipoTarifa in(1) )
	>0	 then alq_detalleLiquidacion .cantidad  
	 else doc_itemDocumento.cantidadPlaneado end )  as catidadreal,

	alq_detalleLiquidacion.detalleLiquidacion as detallefinal,
	[v_detalleLiquidacionAlquiler].dias,
	--alq_detalleLiquidacion.dias,
	alq_detalleLiquidacion.horometro,
	v_porcentaje_litaprecioestndar.valor as valorbase,
	pre.id as id_pre,
	pre.fecha_fh as fechaemision,
	doc_subtipoDocumento.id_tipoDocumento,

	--(CASE WHEN  alq_detalleLiquidacion.detalleLiquidacion_codigo >0 then alq_detalleLiquidacion.detalleLiquidacion_codigo 
	--else  (case when doc_itemdocumento.detalle = '' then  (movimiento.prefijo +  ' - ' + convert(varchar,movimiento.documento_numero)) 
	--else doc_itemdocumento.detalle   end ) end ) as movimiento,
	[v_detalleLiquidacionAlquiler].documentoOrigen as movimiento,
	
	movimiento.id_subtipoDocumento,

	(case when movimiento.id_subtipoDocumento is null then '' 
	else  ( case when movimiento.id_subtipoDocumento in (15,20,21) 
	then 'Despacho' ELSE ( case when movimiento.id_subtipoDocumento=0 then '' else
	(case when  [v_detalleLiquidacionAlquiler].fechaInicio_fh > 
	movimiento.fechaCierre_ff 
	 then '' else   'Devolución' end) end )end)end) as tipo,


	[v_detalleLiquidacionAlquiler].fechaFin_fh as fechafin,
	[v_detalleLiquidacionAlquiler].fechaInicio_fh as fechainicio,
	--alq_detalleLiquidacion.fechaInicio_fh as fechainicio
		--,alq_detalleLiquidacion.fechaFin_fh as fechafin
		view_cat_catalogo_otro.cat_catalogo_otro_gen_unidad_unidad as unidad 
		, [v_detalleLiquidacionAlquiler].saldo,
		--alq_detalleLiquidacion.saldo as saldo,
		pre.subtotalPlaneado as subplaneado,
		pre.ivaPlaneado as ibaplaneado,
		pre.totalPlaneado as total,
		alq_detalleliquidacion.id_documento_movimiento,
		v_porcentaje_litaprecioestndar.descuento
		

		
FROM         doc_itemDocumento inner join
               [doc_documento.cotizacion] on [doc_documento.cotizacion].id=doc_itemDocumento.id_documento inner join
			   doc_documento as pre on pre.id=[doc_documento.cotizacion].id inner join
			   ter_tercero ON pre.id_tercero_cliente = ter_tercero.id inner   JOIN
	           gen_zona on gen_zona.id=ter_tercero.id_zona inner join
			   ter_sucursal on [doc_documento.cotizacion].id_sucursal=ter_sucursal.id  inner join
	           seg_usuario on seg_usuario.id=[doc_documento.cotizacion].id_usuario_asesor inner join 
			   [doc_documento.alquiler] on [doc_documento.alquiler].id=pre.id_documento inner join
			   doc_documento on doc_documento.id=[doc_documento.alquiler].id inner  join
			   doc_estadoTipoDocumento on doc_estadoTipoDocumento.id=pre.id_estadoTipoDocumento inner join
			   doc_subtipoDocumento on doc_subtipoDocumento.id=doc_documento.id_subtipoDocumento inner join
			   	cat_catalogo on cat_catalogo.id=doc_itemDocumento.id_catalogo left  join
	alq_detalleLiquidacion on alq_detalleLiquidacion.id_itemDocumento=doc_itemDocumento.id  left join
		v_porcentaje_litaprecioestndar on v_porcentaje_litaprecioestndar.id= doc_itemDocumento.id left  join
		doc_documento as movimiento on movimiento.id = alq_detalleLiquidacion.id_documento_movimiento left join
		view_cat_catalogo_otro on view_cat_catalogo_otro.id=cat_catalogo.id left join
		[v_detalleLiquidacionAlquiler] on [v_detalleLiquidacionAlquiler].id=doc_itemDocumento.id




WHERE		(@p_tercero=0 or ter_tercero.id = @p_tercero)
			and (@p_sucursal=0 or ter_sucursal.id = @p_sucursal)
			and  (@p_fecha_fh is null or pre.fecha_fh >= @p_fecha_fh)
			and (@p_fecha_fh_b is null or pre.fecha_fh <= @p_fecha_fh_b)
			and (@p_subtipodocumento=0 or doc_subtipoDocumento.id = @p_subtipodocumento)
			and	doc_estadoTipodocumento.estadoTipodocumento_codigo <> 'CAN'
			and doc_documento.active = 1 
			and pre.active=1
			and (@p_id=0 or pre.id = @p_id)
			and doc_documento.eid like @p_eid + '%'
			and pre.active=1
			and doc_itemDocumento.active=1 
			--and doc_documento.id_estadoTipoDocumento not in (23)
			and doc_itemDocumento.id_catalogo > 0
			and (@p_documento=0 or doc_documento.id=@p_documento)

ORDER BY (pre.prefijo + ' ' + convert(varchar, pre.documento_numero))

END

GO

--------------------

/****** Object:  StoredProcedure [dbo].[rep_prefacturacionClienteDoc_itemdocumentoDetallado_alquiler]    Script Date: 15/04/2016 14:17:18 ******/
IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[rep_prefacturacionClienteDoc_itemdocumentoDetallado_alquiler]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[rep_prefacturacionClienteDoc_itemdocumentoDetallado_alquiler]
GO


CREATE PROCEDURE [rep_prefacturacionClienteDoc_itemdocumentoDetallado_alquiler] 
		
		@p_tercero as INT = 0,
		@p_sucursal as INT = 0,
		@p_fecha_fh as smalldatetime = null,
		@p_fecha_fh_b as smalldatetime = null,
		@p_subtipodocumento as INT = 0,
		@p_documento as INT = 0,
		@p_eid varchar(100),
		@P_Id INT=0
AS
BEGIN

	IF exists(select id from [doc_documento.alquiler] where id=@p_id) begin
		SET @p_documento=@p_id
		SET @p_id=0
	end

	
SELECT     
  doc_documento.id as idDocumento,
	(doc_documento.prefijo + ' ' + convert (varchar, doc_documento.documento_numero)) as alquiler,
	doc_documento.fecha_fh,
	(hijo.prefijo + ' ' + convert(varchar, hijo.documento_numero)) as prefactura,
	ter_tercero.tercero AS cliente,
	ter_tercero.id,
	ter_tercero.tercero_nit,
	ter_tercero.direccion,
	ter_tercero.contacto,
	ter_tercero.telefono,
	gen_zona.zona,
	ter_sucursal.sucursal as obra,
	ter_sucursal.sucursal_codigo as obracodigo,
	ter_sucursal.Direccion as obrasucursal,
	seg_usuario.usuario as asesor,
	[doc_documento.cotizacion].id_usuario_asesor,
	doc_itemDocumento.id as id_item,
	doc_itemDocumento.itemDocumento,
	doc_itemDocumento.cantidadPlaneado,
	doc_itemDocumento.valorUnitarioPlaneado as valorUnitarioejecutado,
	doc_itemdocumento.subtotalPlaneado,
	doc_itemDocumento.totalEjecutado,
	doc_itemDocumento.porciva,
	cat_catalogo.catalogo_codigo,
	 doc_itemDocumento.cantidadPlaneado  as catidadreal,
	alq_detalleLiquidacion.detalleLiquidacion as detallefinal,
	alq_detalleLiquidacion.dias,
	alq_detalleLiquidacion.horometro,
	cat_catalogo_listaPrecio.PrecioVenta,
	hijo.id as id_pre,
	(CASE WHEN alq_detalleliquidacion.id_documento_movimiento =0 then alq_detalleLiquidacion.detalleLiquidacion_codigo else (movimiento.prefijo +  ' - ' + convert(varchar,movimiento.documento_numero)) end ) as movimiento
		,alq_detalleLiquidacion.fechaInicio_fh as fechainicio
		,alq_detalleLiquidacion.fechaFin_fh as fechafin
		,view_cat_catalogo_otro.cat_catalogo_otro_gen_unidad_unidad as unidad 
		


FROM         doc_documento inner JOIN
	[doc_documento.alquiler] ON doc_documento.id = [doc_documento.alquiler].id
	 inner  JOIN 	doc_documento as hijo on hijo.id_documento=doc_documento.id inner  join
	doc_subtipoDocumento ON hijo.id_subtipoDocumento= doc_subtipoDocumento.id and  doc_subtipoDocumento.subtipoDocumento_codigo='PRE' inner  join
	[doc_documento.cotizacion] on [doc_documento.cotizacion].id=hijo.id  inner   join
	ter_tercero ON hijo.id_tercero_cliente = ter_tercero.id inner   JOIN
	gen_zona on gen_zona.id=ter_tercero.id_zona inner   join
	doc_subtipoDocumento as subpre on subpre.id=doc_documento.id_subtipoDocumento inner   join
		doc_estadoTipoDocumento on doc_estadoTipoDocumento.id=hijo.id_estadoTipoDocumento inner join
	ter_sucursal on [doc_documento.cotizacion].id_sucursal=ter_sucursal.id  inner join
	seg_usuario on seg_usuario.id=[doc_documento.cotizacion].id_usuario_asesor inner join 
	doc_itemdocumento on doc_itemDocumento.id_documento=hijo.id inner join
	cat_catalogo on cat_catalogo.id=doc_itemDocumento.id_catalogo left join
	alq_detalleLiquidacion on alq_detalleLiquidacion.id_itemDocumento=doc_itemDocumento.id inner join 
	cat_listaPrecio on cat_listaPrecio.id=ter_sucursal.id_listaPrecio inner join
	cat_catalogo_listaPrecio on cat_catalogo_listaPrecio.id_listaPrecio=cat_listaPrecio.id and cat_catalogo_listaPrecio.id_catalogo=cat_catalogo.id left join
	doc_documento as movimiento on movimiento.id=alq_detalleLiquidacion.id_documento_movimiento left join
	view_cat_catalogo_otro on view_cat_catalogo_otro.id=cat_catalogo.id



WHERE		(@p_tercero=0 or ter_tercero.id = @p_tercero)
			and (@p_sucursal=0 or ter_sucursal.id = @p_sucursal)
			and  (@p_fecha_fh is null or doc_documento.fecha_fh >= @p_fecha_fh)
			and (@p_fecha_fh_b is null or doc_documento.fecha_fh <= @p_fecha_fh_b)
			and (@p_subtipodocumento=0 or doc_subtipodocumento.id = @p_subtipodocumento)
			and	doc_estadoTipodocumento.estadoTipodocumento_codigo <> 'CAN'
			and doc_documento.active = 1 
			and doc_documento.eid like @p_eid + '%'
	and (@p_id=0 or  [doc_documento.cotizacion].id = @p_id)
			and hijo.active=1
			and (@p_documento=0 or doc_documento.id=@p_documento)
			
			
ORDER BY (hijo.prefijo + ' ' + convert(varchar, hijo.documento_numero))

END



